%define upstream_name Contact_AddressBook
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.5.1
Release:     	%mkrel 10
Summary:    	Address book export-import class
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Contact_AddressBook-%{version}.tgz
URL: 		http://pear.php.net/package/Contact_AddressBook
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
Requires:	php-pear-File >= 1.2.1
Requires:	php-pear-Net_UserAgent_Detect >= 2.0.1
BuildArch: 	noarch
%global __requires_exclude %{?__requires_exclude|}pear\\(include/

%description
Package provide export-import address book mechanism. Contact_AddressBook
refers to needed structure, convert the various address book structure
format into it, then you can easily to store it into file, database or
another storage media.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Contact_AddressBook.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Contact_AddressBook.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Contact_AddressBook
fi

%files
%doc docs/Contact_AddressBook/*
%{peardir}/*
%{xmldir}/Contact_AddressBook.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.1-10.mga8
+ Revision: 1498676
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.1-9.mga7
+ Revision: 1273085
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.5.1-8.mga6
+ Revision: 949948
- Mageia 6 Mass Rebuild

* Mon Oct 20 2014 tv <tv> 0.5.1-7.mga5
+ Revision: 792047
- add excludes

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-6.mga5
+ Revision: 742709
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.5.1-5.mga5
+ Revision: 734034
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 687193
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.1-3.mga4
+ Revision: 516582
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-2.mga3
+ Revision: 375927
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 spuhler <spuhler> 0.5.1-1.mga2
+ Revision: 207492
- upgrade to 0.5.1
  pearized spec file

* Sun Jan 30 2011 spuhler <spuhler> 0.5.0-6.mga1
+ Revision: 44605
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Contact_AddressBook


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-6mdv2011.0
+ Revision: 613617
- the mass rebuild of 2010.1 packages

* Sun Dec 13 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-5mdv2010.1
+ Revision: 478295
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.5.0-4mdv2010.0
+ Revision: 440949
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-3mdv2009.1
+ Revision: 321930
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-2mdv2009.0
+ Revision: 236810
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 11 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdv2008.0
+ Revision: 26248
- 0.5.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2007.0
+ Revision: 81414
- Import php-pear-Contact_AddressBook

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdk
- initial Mandriva package (PLD import)

